=== modified file 'lib/lp/app/javascript/ordering/ordering.js'
--- lib/lp/app/javascript/ordering/ordering.js	2011-12-19 20:52:33 +0000
+++ lib/lp/app/javascript/ordering/ordering.js	2011-12-21 13:23:46 +0000
@@ -38,15 +38,15 @@
          */
         sort_keys: {
             value: [
-                ['bugnumber', 'Bug number', 'asc'],
-                ['bugtitle', 'Bug title', 'asc'],
+                ['bugnumber', 'Number', 'asc'],
+                ['bugtitle', 'Title', 'asc'],
                 ['status', 'Status', 'asc'],
                 ['importance', 'Importance', 'desc'],
-                ['bug-heat-icons', 'Bug heat', 'desc'],
+                ['bug-heat-icons', 'Heat', 'desc'],
                 ['package', 'Package name', 'asc'],
                 ['milestone', 'Milestone', 'asc'],
                 ['assignee', 'Assignee', 'asc'],
-                ['bug-age', 'Bug age', 'desc']
+                ['bug-age', 'Age', 'desc']
             ]
         },
 

=== modified file 'lib/lp/app/javascript/ordering/tests/test_orderby_widget.js'
--- lib/lp/app/javascript/ordering/tests/test_orderby_widget.js	2011-12-19 12:22:48 +0000
+++ lib/lp/app/javascript/ordering/tests/test_orderby_widget.js	2011-12-21 13:23:46 +0000
@@ -64,15 +64,15 @@
         // The default sort keys should exist in a newly created widget.
         this.orderby = new Y.lp.ordering.OrderByBar();
         var expected_sort_keys = [
-            ['bugnumber', 'Bug number'],
-            ['bugtitle', 'Bug title'],
+            ['bugnumber', 'Number'],
+            ['bugtitle', 'Title'],
             ['status', 'Status'],
             ['importance', 'Importance'],
-            ['bug-heat-icons', 'Bug heat'],
+            ['bug-heat-icons', 'Heat'],
             ['package', 'Package name'],
             ['milestone', 'Milestone'],
             ['assignee', 'Assignee'],
-            ['bug-age', 'Bug age']
+            ['bug-age', 'Age']
         ];
         var expected = this.getIdsAndNames(expected_sort_keys);
         var actual = this.getIdsAndNames(this.orderby.get('sort_keys'));

=== modified file 'lib/lp/bugs/browser/bugtask.py'
--- lib/lp/bugs/browser/bugtask.py	2011-12-20 17:18:38 +0000
+++ lib/lp/bugs/browser/bugtask.py	2011-12-21 13:23:46 +0000
@@ -2504,17 +2504,17 @@
 SORT_KEYS = [
     ('importance', 'Importance', 'desc'),
     ('status', 'Status', 'asc'),
-    ('id', 'Bug number', 'desc'),
-    ('title', 'Bug title', 'asc'),
+    ('id', 'Number', 'desc'),
+    ('title', 'Title', 'asc'),
     ('targetname', 'Package/Project/Series name', 'asc'),
     ('milestone_name', 'Milestone', 'asc'),
-    ('date_last_updated', 'Date bug last updated', 'desc'),
+    ('date_last_updated', 'Date last updated', 'desc'),
     ('assignee', 'Assignee', 'asc'),
     ('reporter', 'Reporter', 'asc'),
-    ('datecreated', 'Bug age', 'desc'),
-    ('tag', 'Bug Tags', 'asc'),
-    ('heat', 'Bug heat', 'desc'),
-    ('date_closed', 'Date bug closed', 'desc'),
+    ('datecreated', 'Age', 'desc'),
+    ('tag', 'Tags', 'asc'),
+    ('heat', 'Heat', 'desc'),
+    ('date_closed', 'Date closed', 'desc'),
     ('dateassigned', 'Date when the bug task was assigned', 'desc'),
     ('number_of_duplicates', 'Number of duplicates', 'desc'),
     ('latest_patch_uploaded', 'Date latest patch uploaded', 'desc'),

=== modified file 'lib/lp/bugs/javascript/buglisting_utils.js'
--- lib/lp/bugs/javascript/buglisting_utils.js	2011-12-19 12:22:48 +0000
+++ lib/lp/bugs/javascript/buglisting_utils.js	2011-12-21 13:23:46 +0000
@@ -49,17 +49,17 @@
      * form inputs.
      */
     BugListingConfigUtil.field_display_names = {
-        show_id: 'Bug number',
+        show_id: 'Number',
         show_importance: 'Importance',
         show_status: 'Status',
-        show_heat: 'Bug heat',
+        show_heat: 'Heat',
         show_targetname: 'Package/Project/Series name',
-        show_datecreated: 'Bug age',
-        show_date_last_updated: 'Date bug last updated',
+        show_datecreated: 'Age',
+        show_date_last_updated: 'Date last updated',
         show_assignee: 'Assignee',
         show_reporter: 'Reporter',
         show_milestone_name: 'Milestone',
-        show_tag: 'Bug tags'
+        show_tag: 'Tags'
     };
 
     BugListingConfigUtil.ATTRS = {

=== modified file 'lib/lp/bugs/javascript/tests/test_buglisting_utils.js'
--- lib/lp/bugs/javascript/tests/test_buglisting_utils.js	2011-12-15 15:11:50 +0000
+++ lib/lp/bugs/javascript/tests/test_buglisting_utils.js	2011-12-19 19:52:50 +0000
@@ -454,19 +454,19 @@
     },
 
     SORT_KEYS: [
-        ['id', 'Bug number'],
-        ['title', 'Bug title'],
+        ['id', 'Number'],
+        ['title', 'Title'],
         ['importance', 'Importance'],
         ['status', 'Status'],
-        ['heat', 'Bug heat'],
+        ['heat', 'Heat'],
         ['reporter', 'Reporter'],
         ['assignee', 'Assignee'],
         ['targetname', 'Package/Project/Series name'],
         ['milestone_name', 'Milestone'],
-        ['datecreated', 'Bug age'],
-        ['date_last_updated', 'Date bug last updated'],
-        ['tag', 'Bug Tags'],
-        ['date_closed', 'Date bug closed'],
+        ['datecreated', 'Age'],
+        ['date_last_updated', 'Date last updated'],
+        ['tag', 'Tags'],
+        ['date_closed', 'Date closed'],
         ['dateassigned', 'Date when the bug task was assigned'],
         ['number_of_duplicates', 'Number of duplicates'],
         ['latest_patch_uploaded', 'Date latest patch uploaded'],

